textures/voyagera/warpstars
{
	qer_editorimage textures/voyagera/warpstars.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		map textures/voyagera/warpstars.tga
		blendfunc add
		tcMod scroll 0.01 1
	}
}

textures/voyagera/impulsestars
{
	qer_editorimage textures/voyagera/impulsestars.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		map textures/voyagera/impulsestars.tga
		blendfunc add
		tcMod scroll 0 0.1
	}
}

textures/voyagera/sky
{ 
    //q3map_lightimage env/voyagera/jhnebula3_up.tga 
    qer_editorimage env/voyagera/jhnebula3_up.tga
    //q3map_surfacelight 100
    q3map_lightsubdivide 128
    surfaceparm noimpact 
    surfaceparm nomarks 
    surfaceparm nolightmap 
    surfaceparm sky 
    surfaceparm antiportal
    skyParms env/voyagera/jhnebula3 512 - 
}

textures/voyagera/cargobay_1
{
	surfaceparm nolightmap
	{
		map textures/voyagera/cargobay_1.tga
		alphaFunc GE128
	}
}

textures/voyagera/shuttlebay
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/voyagera/shuttlebay.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/voyagera/light_console_trim
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/light_console_trim.tga
	}
}

textures/voyagera/ufp
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/ufp.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/backpanel
{
	surfaceparm nolightmap
	{
		map textures/voyagera/backpanel.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

///
/// Holographics
///
textures/voyagera/holo_msd
{
	qer_editorimage textures/voyagera/lcars_msd.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/voyagera/lcars_msd.tga
		blendfunc add
	}
}

///
/// Deck Decals
///
textures/voyagera/deck1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/voyagera/deck1.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/voyagera/deck2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/voyagera/deck2.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/voyagera/deck3
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/voyagera/deck3.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/voyagera/deck4
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/voyagera/deck4.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/voyagera/deck5
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/voyagera/deck5.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

///
/// Alert Status'
///

textures/voyagera/ba_glow
{
	qer_editorimage textures/voyagera/ba.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ba.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/ba_corridor
{
	qer_editorimage textures/voyagera/ba_corridor.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ba_corridor.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/ba_console
{
	qer_editorimage textures/voyagera/ba_console.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ba_console.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
}

textures/voyagera/ra_glow
{
	qer_editorimage textures/voyagera/ra.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ra.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/ra_corridor
{
	qer_editorimage textures/voyagera/ra_corridor.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ra_corridor.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/ra_console
{
	qer_editorimage textures/voyagera/ra_console.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ra_console.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/ya_glow
{
	qer_editorimage textures/voyagera/ya.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ya.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/ya_corridor
{
	qer_editorimage textures/voyagera/ya_corridor.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ya_corridor.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/ya_console
{
	qer_editorimage textures/voyagera/ya_console.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/voyagera/ya_console.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

//
// Engineering
//
textures/voyagera/core_red
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/voyagera/core_red.tga
		blendfunc filter
		rgbGen wave sin 0.9 0.1 0 1 
	}
	{
		map textures/voyagera/core_red_glow.tga
		blendfunc add
		rgbGen wave noise 0.9 0.1 0 1 
		tcMod scale 1 1.2
		tcMod scroll 0 2
	}
	{
		map textures/scavenger/k_core_energy.tga
		blendfunc add
		rgbGen const ( 0.117647 0.117647 0.117647 )
		tcMod scroll 0 -1
	}
}

textures/voyagera/core_blue
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/voyagera/core_blue.tga
		blendfunc filter
		rgbGen wave sin 0.9 0.1 0 1 
	}
	{
		map textures/voyagera/core_blue_glow.tga
		blendfunc add
		rgbGen wave noise 0.9 0.1 0 1 
		tcMod scale 1 1.2
		tcMod scroll 0 -2
	}
	{
		map textures/engineering/core_mult.tga
		blendfunc add
		rgbGen const ( 0.117647 0.117647 0.117647 )
		tcMod scroll 0 1
	}
}

textures/voyagera/ptc_texture
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/voyagera/ptc_texture.tga
		blendfunc filter
		rgbGen wave sin 0.9 0.1 0 1 
	}
	{
		map textures/voyagera/ptc_texture_glow.tga
		blendfunc add
		tcMod scale 1.2 1.2
		tcMod scroll 0 -2.5
	}
}

textures/voyagera/ptc_texture_off
{
	qer_editorimage textures/voyagera/ptc_texture.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/voyagera/ptc_texture.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/voyagera/core_red_off
{
	qer_editorimage textures/voyagera/core_red.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/voyagera/core_red.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/voyagera/core_blue_off
{
	qer_editorimage textures/voyagera/core_blue.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/voyagera/core_blue.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/voyagera/eng_blast
{
	qer_editorimage textures/voyagera/door_blast.tga
	surfaceparm trans
	qer_trans 0.5
	{
		map $lightmap 
		blendfunc filter
	}
	{
		map textures/engineering/glass1.tga
		blendfunc add
		tcGen environment 
	}
	{
		map textures/voyagera/door_blast2.tga
		alphaFunc GE128
	}
}

//
// Messhall
//
textures/voyagera/door_mess
{
    qer_trans 0.5
    surfaceparm trans
    tessSize 48
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/voyagera/door_mess.tga
        blendFunc GL_ONE GL_ONE
//        tcGen environment
//        tcMod scale 3 3
    }
}

//
// Astrometrics
//
textures/voyagera/astro_wall
{
	qer_editorimage textures/voyagera/background.tga
	{
		map textures/voyagera/background.tga
		//tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/voyagera/background2.tga
		blendfunc add
		//tcMod scale 0.5 0.5
		tcMod scroll 0.02 0.02
	}
	//{
	//	map textures/voyagera/grid.tga
	//	blendfunc add
	//	rgbGen wave sin 0.3 0.1 0 0.5 
	//	tcMod scroll 0.05 0.05
	//}
}

textures/voyagera/astro_display
{
	qer_editorimage textures/voyagera/grid.tga
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/voyagera/grid.tga
		blendfunc add
		rgbGen wave sin 0.3 0.1 0 0.5 
		tcMod scroll 0.05 0.05
		//blendfunc add
	}
}

//
// Misc
//
textures/voyagera/corridor_blue
{
    q3map_surfacelight 200
    surfaceparm nolightmap
    {
        map textures/voyagera/corridor_blue.tga
	  rgbGen const ( 0.337255 0.443137 0.796079 )
    }
}

textures/voyagera/light_bridge
{
    	q3map_surfacelight 80
    	surfaceparm nolightmap
    	{
        	map textures/voyagera/light_bridge.tga
    	}
}

textures/voyagera/light_bridge_plain
{
    	q3map_surfacelight 80
    	surfaceparm nolightmap
    	{
        	map textures/voyagera/light_bridge_plain.tga
    	}
}

textures/voyagera/light_engineering
{
    	q3map_surfacelight 80
    	surfaceparm nolightmap
    	{
        	map textures/voyagera/light_engineering.tga
    	}
}

textures/voyagera/blue_console_trim
{
    	q3map_surfacelight 400
    	surfaceparm nolightmap
    	{
        	map textures/voyagera/blue_console_trim.tga
    	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/screen_light
{
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm trans
	//polygonoffset
	{
		map textures/voyagera/screen_light.tga
		tcMod scale 2 1
		tcMod scroll -0.2 0
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/pad
{
    	q3map_surfacelight 80
    	surfaceparm nolightmap
    	{
        	map textures/voyagera/pad.tga
    	}
}

//
// Deck location lcars
//
textures/voyagera/loc_deck2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/loc_deck2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/loc_deck2_2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/loc_deck2_2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/loc_deck3
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/loc_deck3.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/loc_deck3_2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/loc_deck3_2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/loc_deck4
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/loc_deck4.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/loc_deck4_2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/loc_deck4_2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/loc_deck5
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/loc_deck5.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/loc_deck5_2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/loc_deck5_2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/odn
{
	//surfaceparm nolightmap
	//surfaceparm nomarks
	//surfaceparm trans
	{
        	map $lightmap
		rgbGen identity
    	}
	{
		map textures/voyagera/odn2.tga
		blendFunc GL_DST_COLOR GL_ZERO		
		rgbGen identity
	}
	{
		map textures/voyagera/odn.tga
		blendFunc add
		rgbGen wave sin	0.81 0.1 0 1
	}
}

textures/voyagera/portal
{
    qer_editorimage textures/common/qer_portal.tga
    surfaceparm nolightmap
    portal
    {
        map textures/detail/gleam2.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen identity
        alphaGen portal 1024
        tcGen environment
        tcMod scale 1.5 1.5
    }
}
textures/voyagera/black
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/voyagera/black.tga
	}
	{
		map textures/voyagera/reflec.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/voyagera/hall_light_blue
{
    qer_editorimage textures/voyagera/hall_light_blue.tga
    q3map_surfacelight 2000
    surfaceparm nolightmap
    {
        map textures/voyagera/hall_light_blue.tga
    }
}

textures/voyagera/lcars_msd
{
    qer_editorimage textures/voyagera/lcars_msd.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_msd.tga
    }
}


textures/voyagera/lcars_shortRangeTargetingI
{
    qer_editorimage textures/voyagera/lcars_shortRangeTargetingI.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_shortRangeTargetingI.tga
    }
}
textures/voyagera/lcars_confroom_side1
{
    qer_editorimage textures/voyagera/lcars_confroom_side1.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_confroom_side1.tga
    }
}
textures/voyagera/lcars_confroom_side2
{
    qer_editorimage textures/voyagera/lcars_confroom_side2.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_confroom_side2.tga
    }
}
textures/voyagera/lcars_confroom_3
{
    qer_editorimage textures/voyagera/lcars_confroom_3.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_confroom_3.tga
    }
}
textures/voyagera/lcars_standalone_1
{
    qer_editorimage textures/voyagera/lcars_standalone_1.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_standalone_1.tga
    }
}
textures/voyagera/lcars_standalone_2
{
    qer_editorimage textures/voyagera/lcars_standalone_2.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_standalone_2.tga
    }
}
textures/voyagera/lcars_confromo_midconsole1
{
    qer_editorimage textures/voyagera/lcars_confromo_midconsole1.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_confromo_midconsole1.tga
    }
}
textures/voyagera/lcars_confromo_midconsole2
{
    qer_editorimage textures/voyagera/lcars_confromo_midconsole2.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_confromo_midconsole2.tga
    }
}
textures/voyagera/lcars_scienceI
{
    qer_editorimage textures/voyagera/lcars_scienceI.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_scienceI.tga
    }
}
textures/voyagera/lcars_scienceII
{
    qer_editorimage textures/voyagera/lcars_scienceII.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_scienceII.tga
    }
}
textures/voyagera/lcars_longRangeTargetingII
{
    qer_editorimage textures/voyagera/lcars_longRangeTargetingII.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_longRangeTargetingII.tga
    }
}
textures/voyagera/lcars_bridge-7b
{
    qer_editorimage textures/voyagera/lcars_bridge-7b.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_bridge-7b.tga
    }
}
textures/voyagera/lcars_transporter_wall
{
    qer_editorimage textures/voyagera/lcars_transporter_wall.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_transporter_wall.tga
    }
}
textures/voyagera/lcars_bridge-8b
{
    qer_editorimage textures/voyagera/lcars_bridge-8b.tga
    q3map_surfacelight 300
    surfaceparm lightfilter
    {
        map textures/voyagera/lcars_bridge-8b.tga
    }
}
